Syncfusion UI controls for Windows Forms provide various layout and input controls often used in line-of-business applications. This package contains the following controls:

## List of Controls

* [Card Layout](https://www.syncfusion.com/winforms-ui-controls/card-layout?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Flow Layout](https://www.syncfusion.com/winforms-ui-controls/flow-layout?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Gradient Panel](https://www.syncfusion.com/winforms-ui-controls/gradient-panel?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Grid Layout](https://www.syncfusion.com/winforms-ui-controls/grid-layout?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Navigation Pane](https://www.syncfusion.com/winforms-ui-controls/navigation-pane?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [MaskedTextBox](https://www.syncfusion.com/winforms-ui-controls/maskedtextbox?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [MessageBox](https://www.syncfusion.com/winforms-ui-controls/messagebox?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Popup](https://www.syncfusion.com/winforms-ui-controls/popup?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Progress Bar](https://www.syncfusion.com/winforms-ui-controls/progress-bar?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [TextBox](https://www.syncfusion.com/winforms-ui-controls/textbox?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Editable ListBox](https://www.syncfusion.com/winforms-ui-controls/editable-listbox?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Folder Browser](https://www.syncfusion.com/winforms-ui-controls/folder-browser?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Border Layout](https://www.syncfusion.com/winforms-ui-controls/border-layout?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Splash Screen](https://www.syncfusion.com/winforms-ui-controls/splash-screen?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Office 2007 Form](https://www.syncfusion.com/winforms-ui-controls/office2007form?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)
* [Grid Bag Layout](https://www.syncfusion.com/winforms-ui-controls/grid-bag-layout?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)

## Card Layout

The WinForms Card Layout is a layout manager that organizes the controls in stack of cards like appearance. Support different image settings for card and provide options to fill the work space with selected card.

### Key features

* Card name: Provides an option to set a unique card name to the child controls.
* Card index: Provides an option to get the index of the previous or next card.
* Image: Provides an option to set images to the child controls.
* Layout mode: Provides an option to set layout modes such as default or fill.

## Flow Layout

The WinForms Flow Layout Control is a layout manager arranges the items in horizontal or vertical flow direction. Supports reverse flow direction, option to customize horizontal and vertical gaps between child controls.

### Key features

* Spacing: Provides an option to customize the horizontal and vertical gaps between the child controls.
* Layout mode: Provides an option to set the mode of arrangement of child controls such as horizontal or vertical.
* Direction: Provides an option to reverse the direction of the flow arrangement of the child controls.
* AutoHeight: Provides an option to set AutoHeight if the child controls exceed the given space in horizontal layout mode.
* Alignment: Provides an option to customize the alignment such as Center, Near, Far, and ChildConstraints.

## Gradient Panel

The WinForms Gradient Panel is derived from a standard panel control that acts as a container for other controls. It is used to group a collection of controls and supports a custom background gradient using an array of colors.

### Key features

* Styles - Provide a different set of styles to the control. The styles are Pattern, Solid, Gradient, and None.
* Gradient styles - Provide a different set of styles to the gradient. The styles are None, ForwardDiagonal, BackwardDiagonal, Horizontal, Vertical, PathRectangle, and PathEllipse.

## Grid Layout

The WinForms Grid Layout arranges child controls in a virtual grid containing rows and columns. Arrange the child controls automatically in one or more rows. Provides option to customize horizontal and vertical gaps between child controls.

### Key features

* Rows and Columns: Provide an option to customize row and column span of the child controls.
* HGap and VGap: Provide an option to set the gaps between child controls such as horizontal and vertical direction.

## Navigation Pane

The WinForms Navigation Pane provides a navigation UI similar to Microsoft Outlook, with support to expand and collapse a view using the header. Supports different orientations, multiple expansion modes that help to work with one or more items in view, built-in Office-like styles, and more.

### Key features

* Text settings: Provides options to align the text to the Left, Right, or Center and also supports renaming the GroupBarItems at run-time.
* Image settings: Provides options to display Large images or Icons on the header of the GroupBar as well as Stacked GroupBar.
* Localization: Provides localization support for all elements in GroupBar into any desired language.
* Stacked GroupBar: Provides options to display GroupBarItems in a Stack like fashion. Stacked GroupBar provides a Navigation Pane that can be viewed at the bottom of the Groupbar.
* Nested GroupBar: Provides option to add GroupBar control into another GroupBar Control. It can be deployed as a Generic Control Container with maximum flexibility.
* Visual style : Provides option to customize the appearance using rich set of available built-in visual styles.
* Serialization - Provides options to save and load the state of the GroupBarItems.

## MaskedTextBox

The WinForms MaskedTextBox control is an editing control that provides an easy and reliable way of collecting user input and displaying standard data in specific formats from any data source.

### Key features

* Mode - Provides support to different set of modes. The modes are ClipMode, InputMode, and UsageMode.
* Separator - Provides a different set of separators for the control. The separators are DateSeparator, DecimalSeparator, ThousandSeparator, and TimeSeparator.
* DataGroups - Provides options to set the alignment and split up the text.

## MessageBox

The WinForms MessageBox (dialog box) displays messages in a modal window. Also, allows display of short and detailed information in a dialog box based on the user need. Provides various built-in themes, localization, shadow effects, etc.

### Key features

* Button Parameters support - Provides various button combination like OkCancel, YesNo, YesNoCancel, RetryCancel and much more.
* Details view - Helps to view the detailed message about the text shown in the MessageBoxAdv.
* Localization - Supports complete localization to any desired language of all the elements.
* Font customization - Provides option to change the font of all the elements.
* Visual Styles - Provides rich set of VisualStyle to customize the look and feel of MessageBoxAdv.
* Icons - Supports to display wide variety of built-in icons and also empowered with loading custom icons.
* Right-to-left support - Supports to align all the control elements in right-to-left layout.
* Resizing support - Supports to adjust the size of the control at run time.

## Popup

The WinForms Popup Container Control for creating rich pop-ups allows you to populate its child controls in code or designer. Show pop-up anywhere in the application with various built-in positioning options.

### Key features

* BarItems - BarItems like ParentBarItem, DropDownBarItem, ComboBoxBarItem, ListBarItem, StaticBarItem and TextBoxBarItem can be added to the PopupMenu control.
* Partial Menus - The popup menu items can be prioritized to display the bar items that are being used frequently and hide the rest.
* Multi-level Menu Items - Allows to add submenu items or child items down the level in the popup menu.
* Grouping Bar Items - Allows to add separator between a collection of bar items which are relevant to one another.
* Checked/Unchecked - Indicating whether a check mark appears before the text of the selected bar item.
* Enable/Disable - Bar items can be either enabled or disabled based on user requirement.
* Keyboard Shortcuts & Mnemonics - The bar items can be selected through keyboard operation and support to add mnemonic text.
* Tooltip - Provides options to set tooltip for each BarItem.
* Themes - Supports set of visual styles to customize the look and feel of PopupMenu control.

## Progress Bar

The WinForms linear and circular Progress Bar notify user about the progress of a task. Supports indeterminate state allows to show progress interruption with unknown state. Supports customization for appearance of the progress for a better user experience.

### key features

* Text formats - Provides options set the progress format as Percentage, Value or other custom format.
* Progress image - Provides options to set image for progress indication.
* Customization options - Supports color customization like foreground, background colors, appearance can also be customized in any form and much more.
* Orientation - Supports both horizontal and vertical orientation.
* Visual style - Provides rich set of visual styles to customize the look and feel of ProgressBarAdv.

## TextBox

The WinForms TextBox Control is an extension of frameworks textbox control that supports different border colors, styles, overflow indicators, and more. It has the ability to display multi-line text with or without wrap and has a built-in scroller to view the overflowing text.

### key features

* Text Settings - Provides options to set selection, format, clip, and alignment of the text. The multiline text can be displayed using the control.
* ToolTip - Provides options to show the text overflow indicators and overflow indicator tooltips.
* Appearance Settings - Provides support to set the background and foreground of the control.
* Behavior Settings - Provides options to set the maximum length of the text. The text can be displayed in the ReadOnly mode using the ReadOnly property.
* Border Settings - Provides different set of border styles. The styles are Fixed3D, FixedSingle, and None. The color of the border can also be set for the control using the BorderColor property.
* Layout Settings - Provides options to set the maximum and minimum sizes of the control.
* Applying Themes - Provides support to different themes for the control.

## Editable ListBox

The WinForms editable listbox provides an editable listbox with a textbox and button on the current row to facilitate in place editing.

### Key features

* Editing - Provides support to edit the selected item at run time.
* Embedded controls - The EditableList control contains embedded controls such as ListBox, Button, and TextBox.

## Folder Browser

The WinForms Folder Browser dialog is a Windows Explorer inspired control helps to browsing the folder and files with different location settings. Supports to specify the location of the root folder where browsing will begin. Restrict end user browse folders from specific domain and sub folders and network folders.

## Border Layout

The WinForms Border Layout control is a layout manager that allows to arrange and layout the child controls along the borders similar to framework’s built-in docking support. Provides option to customize horizontal and vertical gaps between child controls.

### Key features

* Spacing: Provides an option to customize horizontal and vertical gaps between child controls.
* Position: Provides an option to set direction (North, South, East, West, or Center) to child controls.
* Size: Provides an option to customize the size of the child controls in BorderLayout.

## Splash Screen

The WinForms splash control is a component that displays splash screen to an application when it is launched. You can design custom UI using splash panel.

## Office 2007 Form

The WinForms Office 2007 Form is Microsoft Office2007 inspired form that supports a wide variety of color schemes. Caption bar can be fully customized and supports to add help icon in caption.

### Key features

* Caption Alignment - Supports to specify caption text alignment.
* Color schemes - Supports various office color schemes like blue, black, silver and much more.
* Customization - Supports for customizing appearance of Caption bar.
* Right-to-left - Supports to align the control elements in right-to-left layout.

## Grid Bag Layout

The WinForms GridBagLayout arranges child controls in one or more span of rows and columns in a virtual grid containing rows and columns. Arrange the child controls based on row and column count. Provides option to customize horizontal and vertical gaps between child controls.

### Key features

* Anchor: Provides an option to set anchor direction for child controls.
* Cell span: Provides an option to customize row and column span of the child controls.
* Fill type: Provides an option to set the position of child control such as horizontal, vertical, both, or none.

## Related links
[Learn More about WinForms UI Controls](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)

[Documentation](https://help.syncfusion.com/windowsforms/overview?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)

[Release History](https://help.syncfusion.com/windowsforms/release-notes/v19.4.0.38?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)

[Online Demos](https://github.com/syncfusion/winforms-demos/?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/winforms?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)

[Pricing](https://www.syncfusion.com/sales/products/windowsforms?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Shared%20Base-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=base-shared-nuget) | Toll Free](1-888-9 DOTNET


   